/*
	NagWindow.cpp
	Copyright(C) HB Päron Data, SWEDEN
	This file may be used under the terms of the Nabber License.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef NAG_WINDOW_H
#include "NagWindow.h"
#endif
#include <Alert.h>
#include <String.h>
#include <TextView.h>

NagWindow::NagWindow(BRect frame, const char *knappCaption)
				: BWindow(frame, "Nabber Status", B_TITLED_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE)
{
	myView = new BView(Bounds(),"nabber status view",B_FOLLOW_ALL_SIDES,B_FULL_UPDATE_ON_RESIZE);
	const rgb_color ccolor = {219,219,219,255};
	myView->SetViewColor(ccolor);
	AddChild(myView);
	
	//nabber stop/start
	nagButton = new BButton(BRect(200,10,290,55),"nabber button",knappCaption,new BMessage('nagb'));
	nagButton->MakeDefault(true);
	myView->AddChild(nagButton);
	
	//status
	BStringView *statText = new BStringView(BRect(10,10,150,20),"status","Naggring Status!");
	myView->AddChild(statText);
	numNags = new BStringView(BRect(10,25,150,35),"nagged windows","0 Naggered Windows");
	myView->AddChild(numNags);
	
	//about!
	BButton *butAbout = new BButton(BRect(5,65,95,115),"about","About Nabber...",new BMessage(B_ABOUT_REQUESTED));
	myView->AddChild(butAbout);
	BStringView *homeText = new BStringView(BRect(120,85,295,95),"homepage","Visit http://www.paron.nu/");
	const rgb_color dcolor = {219,0,0,255};
	homeText->SetHighColor(dcolor);
	myView->AddChild(homeText);	

}

bool NagWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}

void 
NagWindow::MessageReceived(BMessage *msg)
{
	switch(msg->what) {
		case 'nagb':
			if(strcmp(nagButton->Label(),"Stop Naggering") == false) {
				be_app->PostMessage('stop');
				nagButton->SetLabel("Start Naggering");
			}
			else {
				be_app->PostMessage('rsum');
				nagButton->SetLabel("Stop Naggering");
			}
			break;
		case 'nags': {
			static int32 nNags;
			nNags++;
			BString newText;
			newText << (int32)nNags << " Naggered Windows";
			numNags->SetText(newText.String());
		} break;
		case B_ABOUT_REQUESTED:
		{
			//aboutbox...
			BAlert *myBox = new BAlert("Nabber Aboutbox",
			"Nabber\n  - Nagger for BeOS\n\nWritten by: Elias Johansson, HB Päron Data\nWindows version by: Daniel K Westerberg, HB Päron Data\nHope You will enjoy our product! Visit us at \nhttp://software.paron.nu/\n\nCopyright(C) 2000 HB Päron Data, SWEDEN\n",
			"Visit Webpage!","Cool!",NULL,B_WIDTH_AS_USUAL,B_OFFSET_SPACING,B_IDEA_ALERT);
			//pointer to textview
			BTextView *myText = myBox->TextView();
			
			//style text
			myText->SetStylable(true);
			BFont testFont;
			testFont.SetSize(20);
			testFont.SetFace(B_BOLD_FACE);
			myText->SetFontAndColor(0,7,&testFont);
			
			//show box
			int32 svar = myBox->Go();
			if(svar == 0) {
				//how do i send a mess to netpositive (or any other browser) that i want ot show my homepage...
				
			}
		} break;
		default:
			BWindow::MessageReceived(msg);
			break;
	}
}













